Get Transfers
Get Transfer by ID
Retrieve the details and status of a specific transfer by its identifier
GET
/
transfers
/
{transfer_id}
cURL
curl --request GET \
--url https://api-sandbox.y.uno/v1/transfers/{transfer_id} \
--header 'private-secret-key: <api-key>' \
--header 'public-api-key: <api-key>'import requests
url = "https://api-sandbox.y.uno/v1/transfers/{transfer_id}"
headers = {
"public-api-key": "<api-key>",
"private-secret-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'public-api-key': '<api-key>', 'private-secret-key': '<api-key>'}
};
fetch('https://api-sandbox.y.uno/v1/transfers/{transfer_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"origin_onboarding": {
"id": "660e8400-e29b-41d4-a716-446655440001",
"status": "TRANSFERRED",
"type": "ONE_STEP_ONBOARDING",
"workflow": "DIRECT",
"response_message": null,
"provider": {
"id": "STRIPE",
"recipient_id": "acct_1234567890",
"connection_id": "880e8400-e29b-41d4-a716-446655440003",
"legal_entity": "COMPANY"
},
"documentation": [],
"legal_representatives": [],
"requirements": [],
"metadata": [],
"withdrawal_methods": null,
"capabilities": null,
"recipient": {
"id": "770e8400-e29b-41d4-a716-446655440002",
"merchant_recipient_id": "seller-123",
"country": "BR",
"national_entity": "INDIVIDUAL",
"entity_type": "PERSON",
"email": "seller@example.com",
"first_name": "João",
"last_name": "Silva",
"created_at": "2026-01-10T12:00:00Z",
"updated_at": "2026-01-10T12:00:00Z"
},
"created_at": "2026-01-15T10:00:00Z",
"updated_at": "2026-01-15T16:59:22Z"
},
"destination_onboarding": {
"id": "990e8400-e29b-41d4-a716-446655440004",
"status": "SUCCEEDED",
"type": "ONE_STEP_ONBOARDING",
"workflow": "DIRECT",
"response_message": null,
"provider": {
"id": "STRIPE",
"recipient_id": "acct_0987654321",
"connection_id": "880e8400-e29b-41d4-a716-446655440003",
"legal_entity": "COMPANY"
},
"documentation": [],
"legal_representatives": [],
"requirements": [],
"metadata": [],
"withdrawal_methods": null,
"capabilities": null,
"recipient": {
"id": "aa0e8400-e29b-41d4-a716-446655440005",
"merchant_recipient_id": "seller-456",
"country": "BR",
"national_entity": "INDIVIDUAL",
"entity_type": "PERSON",
"email": "newseller@example.com",
"first_name": "Maria",
"last_name": "Santos",
"created_at": "2026-01-12T14:00:00Z",
"updated_at": "2026-01-12T14:00:00Z"
},
"created_at": "2026-01-15T16:59:22Z",
"updated_at": "2026-01-15T16:59:23Z"
},
"created_at": "2026-01-15T16:59:22.996009Z",
"updated_at": "2026-01-15T16:59:23.734739Z"
}{
"code": "UNAUTHORIZED",
"messages": [
"Invalid authentication credentials."
]
}{
"code": "FORBIDDEN",
"messages": [
"You do not have permission to access this resource."
]
}{
"code": "TRANSFER_NOT_FOUND",
"messages": [
"Transfer not found."
]
}Retrieve a single transfer using its
transfer_id.
Response Fields
| Field | Type | Description |
|---|---|---|
id | UUID | Transfer unique identifier |
origin_onboarding | object | Complete onboarding that was transferred (includes recipient details) |
destination_onboarding | object | Complete onboarding that received the transfer (includes recipient details) |
created_at | timestamp | When the transfer was created |
updated_at | timestamp | When the transfer was last updated |
Inferring Transfer Status
Checkdestination_onboarding.status:
SUCCEEDED: Transfer completed successfully
PENDING: Transfer in progress
FAILED: Transfer failed
TRANSFERRED: Origin onboarding was transferred outAuthorizations
Headers
The account_id found in your Yuno Dashboard (UUID).
Path Parameters
The transfer id returned from the transfer onboarding endpoint (UUID).
Was this page helpful?
Previous
List Recipient TransfersRetrieve the transfer history associated with a specific recipient
Next
⌘I
cURL
